//sensor.h
//#define AREF 4.97                          
#ifndef PRESSURE_SENSOR_CHANNEL
//Connections                            
//	Sensor description		PORTA pin
#define PRESSURE_SENSOR_CHANNEL 	0        
#define ADC_SENSOR_CHANNEL0		1
#define ADC_SENSOR_CHANNEL1		2  
#endif
        
//Voltage reference selections for ADC
#define AREF_INTERNAL_VREF_OFF		0x00
#define AVCC_EXT_CAPACITOR_AT_AREF      0x40
#define INT_2_56V_CAPACITOR_AT_AREF	0xc0
//Selected V ref
#define SELECTED_V_REF	0 //Use external AREF
//AVCC_EXT_CAPACITOR_AT_AREF

//Internal 1.22V bandgap reference voltage on ADC channel
#define INT_1_22V_CHANNEL	0b11110
//MCUCR contants
#define SE	0x40
#define SM1	0x20
#define SM0	0x10
//ADSCR contants
#define ADEN 0x80 //ADC Enable
#define ADSC 0x40 //ADC start conversion
#define ADFR 0x20 //Free running select
#define ADIF 0x10 //Interrupt flag
#define ADIE 0x08 //Interrupt Enable
//#define ADPS 0x07 //Set prescalar to CK/128 for max accuracy
#define ADPS 0x07
#define ADCSR_DEFAULT 	ADEN + ADIE + ADPS
                                         

//Variables
float ADC_get(unsigned char channel);