//UI.h
//user interface function prototypes
//and global variables
void UI_initialize(void);
void UI_show_sensors(void);
void UI_show_time(void);
void UI_monitor(void); 
void UI_clr_text_buf(); 
void UI_show_text(); 
void UI_hide_text();

unsigned char flash clrline[] = {
 ' ',// 1
 ' ',// 2
 ' ',// 3
 ' ',// 4
 ' ',// 5
 ' ',// 1
 ' ',// 2
 ' ',// 3
 ' ',// 4
 ' ',// 10
 ' ',// 1
 ' ',// 2
 ' ',// 3
 ' ',// 4
 ' ',// 5 
 ' ',// 1
 ' ',// 2
 ' ',// 3
 ' ',// 4
 ' ',// 20
 ' ',// 1
 ' ',// 2
 ' ',// 3
 ' ',// 4
 ' ',// 5
 ' ',// 6
 ' ',//27
 ' ',0x00}; //28
 
//monitor_UI status
#define CMD_MODE 	0
#define TEXT_ENTRY_MODE	1
#define SET_TIME_MODE	2
#define SET_VREF_MODE	3
#define WAIT_4_KEYPRESS 4
unsigned char UI_monitor_status = CMD_MODE;
unsigned char UI_set_time_status = 0;
unsigned char UI_set_vref_status = 0;
unsigned char text_display[29,10];//Text that the user wants to display
#define TEXT_X_OFFSET 0 //starting x value for text display
#define TEXT_Y_OFFSET 1 //starting y value for text display
#define TEXT_WIDTH 	28 //width of text box in characters
#define TEXT_HEIGHT     8 //height of text box in characters
unsigned char text_x=0, text_y=0;//keeps track of position to write to in buffer
//TEXT_DISPLAY[x,y] x=0 to 27, y = 0 to 10
unsigned int new_aref_int;//Analog reference voltage entered by user
unsigned int new_mpx_supply_int;//mpx supply voltage entered by user
float new_aref_float;//convert to float
float new_mpx_supply_float;//convert to float
